Package plugins :: Package core :: Package console :: Module main :: Class XYZPlugin

[hide private]
[frames] | no frames]

# Class XYZPlugin

source code

    libxyz.core.plugins.BasePlugin --+
                                     |
                                    XYZPlugin

Plugin console

Instance Methods | [hide private]

__init__(self, xyz) | source code

show(self) Show console window | source code

_write(self, msg) Write text to output | source code

Class Variables | [hide private]

| NAME = `u"console"`
| AUTHOR = `u"Max E. Kuznecov <syhpoon@syhpoon.name>"`
| VERSION = `u"0.1"`
| BRIEF_DESCRIPTION = `u"Interactive management console"`
| FULL_DESCRIPTION = `u"Provides interactive management console"`
| NAMESPACE = `u"core"`
| DOC = `u"Configuration variables:\n" u"history_depth - Specifie`...``
| EVENTS = `[("show", "Fires upon showing console. Arguments: No.`...``

Class Variable Details | [hide private]

### DOC

Value:

      u"Configuration variables:\n" u"history_depth - Specifies how many ent
      ered " u"commands to keep. Default - 50\n" u"prompt - Command line pro
      mpt. Default - '> '"

### EVENTS

Value:

      [("show", "Fires upon showing console. Arguments: No."), ("cmd_prev",
      "Fires when scrolling through history. " "Arguments: Current command f
      rom history buffer"), ("execute", "Fires when typed command is to be e
      xecuted. " "Arguments: typed command"),]